Bug 89730 - missing echo in named init.d script
missing echo in named init.d script
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: bind (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-26 21:41 EDT by James Ralston
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-01 08:49:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to add missing echo to /etc/rc.d/init.d/named (257 bytes, patch)
2003-04-26 21:45 EDT, James Ralston
no flags Details | Diff
patch for /etc/rc.d/init.d/named (1.83 KB, patch)
2003-04-28 03:50 EDT, James Ralston
no flags Details | Diff

  None (edit)
Description James Ralston 2003-04-26 21:41:32 EDT
Description of problem:

The /etc/rc.d/init.d/named script is missing the required echo statement after
the call to the daemon() function.  This causes the output of the named init.d
script to be overwritten on the console when the machine is booting.

Version-Release number of selected component (if applicable):

bind-9.2.1-16

How reproducible:

Reboot.
Comment 1 James Ralston 2003-04-26 21:45:14 EDT
Created attachment 91314 [details]
patch to add missing echo to /etc/rc.d/init.d/named
Comment 2 James Ralston 2003-04-28 03:50:26 EDT
Created attachment 91327 [details]
patch for /etc/rc.d/init.d/named

I noticed that the "stop" action had some issues as well.  Here's an updated
patch that fixes all of those issues (plus cleans up some whitespace).
Comment 3 Daniel Walsh 2003-05-01 08:49:42 EDT
This is already fixed in Rawhide.

Note You need to log in before you can comment on or make changes to this bug.